"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.chaiExpect = void 0;
const spok_1 = __importDefault(require("./spok"));
function chaiExpect(expectFn = expect) {
    let strip = (s) => s;
    if (typeof window !== 'undefined') {
        spok_1.default.color = false;
        spok_1.default.printDescription = false;
        strip = require('strip-ansi');
    }
    const adapter = {
        equal: (a, b, desc) => expectFn(a, strip(desc !== null && desc !== void 0 ? desc : '')).equal(b),
        deepEqual: (a, b, desc) => expectFn(a, strip(desc !== null && desc !== void 0 ? desc : '')).deep.include(b),
    };
    return adapter;
}
exports.chaiExpect = chaiExpect;
//# sourceMappingURL=adapter-chai-expect.js.map